Forms
Send a form by email
Emails a link to the form to one address. The link is the form’s share URL when it has a public token. The email is queued, not sent while you wait. Returns 422 Failed to send email when the company has the email turned off, and 404 when the form isn’t one of your company’s.
POST
/
api
/
forms
/
{id}
/
send_mail
Send a form by email
curl --request POST \
--url https://api.fluid.app/api/forms/{id}/send_mail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jan.levinson@serenitybycjan.com"
}
'import requests
url = "https://api.fluid.app/api/forms/{id}/send_mail"
payload = { "email": "jan.levinson@serenitybycjan.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jan.levinson@serenitybycjan.com'})
};
fetch('https://api.fluid.app/api/forms/{id}/send_mail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/forms/{id}/send_mail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'jan.levinson@serenitybycjan.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/forms/{id}/send_mail"
payload := strings.NewReader("{\n \"email\": \"jan.levinson@serenitybycjan.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/forms/{id}/send_mail")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"jan.levinson@serenitybycjan.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/forms/{id}/send_mail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"jan.levinson@serenitybycjan.com\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Email sent successfully",
"meta": {
"request_id": "1d6a3e8f-5b02-4c79-a9d3-7e0f4b2c8d15",
"timestamp": "2026-10-07T15:58:03Z"
}
}⌘I
Send a form by email
curl --request POST \
--url https://api.fluid.app/api/forms/{id}/send_mail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jan.levinson@serenitybycjan.com"
}
'import requests
url = "https://api.fluid.app/api/forms/{id}/send_mail"
payload = { "email": "jan.levinson@serenitybycjan.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jan.levinson@serenitybycjan.com'})
};
fetch('https://api.fluid.app/api/forms/{id}/send_mail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/forms/{id}/send_mail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'jan.levinson@serenitybycjan.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/forms/{id}/send_mail"
payload := strings.NewReader("{\n \"email\": \"jan.levinson@serenitybycjan.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/forms/{id}/send_mail")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"jan.levinson@serenitybycjan.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/forms/{id}/send_mail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"jan.levinson@serenitybycjan.com\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Email sent successfully",
"meta": {
"request_id": "1d6a3e8f-5b02-4c79-a9d3-7e0f4b2c8d15",
"timestamp": "2026-10-07T15:58:03Z"
}
}